Bug 1099736 - Increase cache retention for statistics
Increase cache retention for statistics
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Persistence, Performance (Show other bugs)
3.4
Unspecified Unspecified
unspecified Severity high
: ---
: 3.5
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-21 01:37 EDT by Carlos Munoz
Modified: 2015-01-26 18:27 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.5.0-SNAPSHOT (git-server-3.4.1-52-g47cdeb5)
Doc Type: Bug Fix
Doc Text:
Story Points: 3
Clone Of:
Environment:
Last Closed: 2015-01-26 18:27:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2014-05-21 01:37:57 EDT
Statistic cache elements should overflow to disk. They should be wiped upon app startup, and last as long as the server is running.
Ensure that there is a way of clearing the stats cache individually.
Cache generation is currently happening on-demand.
Comment 1 Carlos Munoz 2014-05-21 01:48:24 EDT
Maybe we should make the cache eternal, as long as there is a way of clearing the cache.

Testing:
- Performance (lacking base line for performance testing)
- Some level of stats regression testing
Comment 2 Sean Flanigan 2014-05-22 03:46:50 EDT
We need to make sure the cache isn't flushed to disk synchronously on every single update, or translation updates will probably become too expensive.

Some options which might help:

1. Enable async writes: http://ehcache.org/documentation/2.5/apis/write-through-caching

2. Only flush to disk: http://ehcache.org/documentation/2.5/faq#how-do-i-get-a-memory-only-cache-to-persist-to-disk-between-vm-restarts
Comment 3 Alex Eng 2014-05-28 23:22:10 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/460
Comment 4 Ding-Yi Chen 2014-06-02 00:43:53 EDT
A few more issues:

 * Property ehcache.disk.store.dir should be given.
   * Installation guide should be updated.
   * zanata-setup.sh should be updated.
 * The cache will not be wiped out during server restart.
 * The cache will updated on events on
   * Translator translates a new string.
   * Translator clear a string.
   * Translator change state from FUZZY -> Translated
   * Review change state from Translated -> Rejected.
Comment 5 Ding-Yi Chen 2014-06-02 20:26:45 EDT
VERIFIED with Zanata 3.5.0-SNAPSHOT (git-server-3.4.1-52-g47cdeb5)

Note You need to log in before you can comment on or make changes to this bug.